package yrpg.application.crmvisit.plugin.form;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.ShowType;
import kd.bos.form.control.Control;
import kd.bos.form.plugin.AbstractMobFormPlugin;
import kd.bos.list.MobileListShowParameter;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.sdk.plugin.Plugin;

import java.util.EventObject;

/**
 * 动态表单插件(移动端)
 * 市场维护人：页面初始化
 */
public class RelationShipBindMobFormPlugin extends AbstractMobFormPlugin implements Plugin {

    @Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
        //专家姓名
        Object expertBase = this.getView().getFormShowParameter().getCustomParam("expertBase");
        if (expertBase!=null){
           DynamicObject expert = BusinessDataServiceHelper.loadSingle(expertBase,"yrpg_crm_expert");
            this.getModel().setValue("yrpg_expert_name",expert );
        }
//
//        MobileListShowParameter showParameter = new MobileListShowParameter();
//        showParameter.setFormId("bos_moblist");
//        showParameter.setBillFormId("yrpg_crm_expert");
////            QFilter qFilter = new QFilter("name", QCP.equals, "这是用来阻止他搜索全部");
////            showParameter.getListFilterParameter().getQFilters().add(qFilter);
//        showParameter.getOpenStyle().setShowType(ShowType.Floating);
//        this.getView().showForm(showParameter);
    }

    @Override
    public void registerListener(EventObject e) {
        super.registerListener(e);
        this.addClickListeners("yrpg_expert_name");
    }

    @Override
    public void click(EventObject evt) {
        super.click(evt);

        Control source = (Control) evt.getSource();
        String key = source.getKey();
        if (key.equals("yrpg_btnok")) {

        }
    }
}