package yrpg.application.crmvisit.plugin.form;

import com.alibaba.druid.util.StringUtils;
import kd.bos.base.AbstractBasePlugIn;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.datamodel.events.PropertyChangedArgs;
import kd.sdk.plugin.Plugin;

/**
 * 基础资料插件
 */
public class expertInfoBasePlugin extends AbstractBasePlugIn implements Plugin {

    @Override
    public void propertyChanged(PropertyChangedArgs e) {
        super.propertyChanged(e);
        String fieldKey = e.getProperty().getName();
        if (StringUtils.equals("yrpg_expert_name", fieldKey)) {
            // TODO 在此添加业务逻辑
            DynamicObject dynamicObject = (DynamicObject) this.getModel().getValue(fieldKey);
            this.getModel().setValue("name", dynamicObject.get("name"));
        }

    }
}